
typedef struct
{
   char* 	pBase;
   int		size;
   char*	pFree;
} STR_HEAP;

inline void
StrHeapCreate( STR_HEAP* pStrHeap, int size );

inline void
StrHeapDelete( STR_HEAP* pStrHeap );

inline char*
StrHeapAppendFast( STR_HEAP* pStrHeap, char* str, int strLen );

inline char*
StrHeapAppend( STR_HEAP* pStrHeap, char* str, int strLen );
